//接口
//引入axios
import request from "@/utils/request"; // 这里是引入咱们的axios用axios来进行异步接口请求


// //比如说接口为注册接口
// export function register(){
//     return request({
//         url:'/user/register',
//         method:'post',
//         data,  // 一般post请求，我们习惯使用 data属性来传参

//     })
// }

// export function login(){
//     return request({
//         url:'/user/login',
//         method:'get',
//         params,   //一般get请求，我们习惯使用params属性来传参

//     })
// }

//以上为案例

export function getCode(params) {
  return request({
    url: "/prod-api/auth/code",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
export function getUrl(params) {
  return mockApiCall()
}
// 创建一个模拟接口的函数
function mockApiCall() {
  return new Promise((resolve, reject) => {
    // 模拟接口响应数据

    const mockData = { url: 'https://ele.secp.com.cn/publicPlatform/eleDetail.do' };
    // 模拟成功响应
    resolve({ data: mockData });
    // 或者模拟错误响应
    // reject(new Error('模拟错误'));
  });
};
export function silenceLogin(data) {
  return request({
    url: '/prod-api/auth/login',
    method: 'post',
    data,  // 一般post请求，我们习惯使用 data属性来传参
    encrypt: true,
  })
}
